@import url("https://fonts.googleapis.com/css2?family=Cal+Sans&family=TASA+Explorer:wght@400..800&display=swap");

:root {
  --default: #181715;
  --violet: #ef7c00;
  --green: #2f3035;
  --light: #f6f4f1;
  --buffer: 80px;
  --transition: 0.5s;
  --radius: 12px;
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  outline: none;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "TASA Explorer", sans-serif;
  color: var(--default);
  font-size: 17px;
  line-height: 160%;
  font-style: normal;
  background-color: var(--light);
  overflow-x: hidden;
}

.center {
  text-align: center;
}
.right {
  text-align: right;
}

section {
  padding: var(--buffer) 0;
  position: relative;
}

.wrap {
  width: 100%;
  padding: 0 30px;
  max-width: 1440px;
  margin: auto;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Cal Sans", sans-serif;
  font-weight: 800;
  line-height: 110%;
  margin-bottom: 0.5em;
  margin-top: 1em;
  color: var(--violet);
  text-wrap: balance;
  letter-spacing: 2px;
}

h1 {
  font-size: 5rem;
  font-weight: 200;
  color: var(--default);
  text-transform: uppercase;
}

h2 {
  font-size: 2.6rem;
  line-height: 130%;
  margin-top: 0;
}
h3 {
  font-size: 1.5rem;
  margin: 1em 0;
}
h4 {
  font-size: 1.2rem;
}

a {
  color: var(--violet);
  transition: all var(--transition);
  &:hover {
    text-decoration: none;
  }
}

.bigger {
  font-size: 1.5rem;
}

.alert {
  background-color: var(--violet);
  padding: 1.5rem 2rem;
  text-align: center;
  color: var(--green);
  margin-bottom: 1rem;
  border-radius: 100px;
  font-weight: 500;
}

.container_hero {
  h1 {
    margin-bottom: 1rem;
    margin-top: 0.5em;
    line-height: 100%;
    color: var(--green);
    font-size: 6rem;
    font-weight: 900;
    strong {
      color: var(--violet);
      font-size: 120%;
      bottom: 1.5rem;
      position: relative;
    }
  }
  ul {
    list-style-type: none;
    padding: 0;
    margin: 2rem 0 0;
    li {
      padding-left: 1.6rem;
      position: relative;
      &:before {
        content: "";
        position: absolute;
        top: 7px;
        left: 0;
        width: 0.8rem;
        height: 1rem;
        background: url(../images/li.svg) no-repeat center center / contain;
      }
    }
  }
}

.switcher_wrap {
  text-align: center;
  margin-top: -110px;
  margin-bottom: 60px;
  .switcher {
    background-color: #fff;
    border-radius: 100px;
    display: inline-block;
    overflow: hidden;
    a {
      padding: 1rem 2rem;
      text-decoration: none;
      font-family: "TASA Explorer", sans-serif;
      display: inline-block;

      &.active {
        background-color: var(--default);
        color: var(--light);
      }
    }
  }
}

.fanda {
  position: relative;
  background: url(../images/fanda.webp) no-repeat center center/contain;
  a {
    position: absolute;
    bottom: 10%;
    right: 10%;
  }
}

#cta {
  background: var(--green);
  color: #fff;
}

.copy {
  padding: 2rem 0 0;
  margin-top: 2rem;
  border-top: 1px solid rgba(229, 244, 248, 0.15);
  display: flex;
  justify-content: space-between;
}

.container_cta {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  color: #fff;
  gap: 10%;
  a {
    color: #fff;
    font-weight: 800;
    &:hover {
      color: #eee;
    }
  }
  .btn {
    margin: 0 1rem 0 0;
    padding: 1rem 2rem;
    border: 2px solid var(--violet);
    display: inline-block;
    text-decoration: none;
    border-radius: 100px;
    background-color: var(--violet);
    color: var(--green);
    font-family: "TASA Explorer", sans-serif;
    &:after {
      display: none;
    }
    &.light {
      background-color: transparent;
      color: var(--violet);
    }
    &:hover {
      background-color: var(--default);
      color: #fff;
      border-color: var(--default);
    }
  }
  .icon img {
    height: 7rem;
  }
}
.opening {
  p {
    display: flex;
    flex-wrap: nowrap;
    padding: 0.5rem 0;
    margin-right: 3rem;
    border-bottom: 1px solid var(--green);
    strong {
      width: 50%;
    }
  }
}

.btn_group {
  margin-top: 1.5rem;
  display: block;
  .btn {
    margin-right: 1rem;
  }
  .btn:last-child {
    margin-right: 0;
  }
}

#cta {
  padding: calc(var(--buffer) / 2) 0;
  color: var(--default);
  .stack {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
  }
  h2 {
    font-size: 2.4rem;
    margin-bottom: 0.5rem;
    margin-top: 0;
    text-transform: uppercase;
  }
  .icon {
    margin-right: 2rem;
  }
}

strong {
  font-weight: 600;
}

#doctors {
  padding: 0 5%;
}

.big_headline {
  font-size: 2rem;
  color: var(--default);
  text-decoration: none;
  font-family: "TASA Explorer", sans-serif;
  padding-bottom: 1em;
  margin: 0;
}

.green {
  color: var(--green);
}

footer {
  background: var(--violet);
  color: var(--green);
  padding: var(--buffer) 0;
  position: relative;
  a,
  h3 {
    color: var(--green);
  }
  h3 {
    margin-top: 0;
  }
  ul {
    list-style: none;
    padding: 0;
    margin: 0;
    li {
      margin-bottom: 0.5em;
      a {
        text-decoration: none;
        color: var(--light);
        transition: all var(--transition);
        &:hover {
          color: var(--green);
        }
      }
    }
  }
  img {
    margin-bottom: 1.5rem;
  }
  .container_footer {
    display: flex;
    justify-content: space-between;
    align-items: start;
    flex-wrap: nowrap;
    gap: 5rem;
    .col {
      width: 25%;
    }
    img {
      width: 75%;
      height: auto;
    }
  }
}

header {
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  display: block;
  z-index: 100;
  margin-bottom: -7rem;
  padding: 1rem 0;
  background: rgba(255, 255, 255, 0.4); /* poloprůhledné pozadí */
  backdrop-filter: blur(16px) saturate(180%);
  -webkit-backdrop-filter: blur(16px) saturate(180%);
  border-bottom: 1px solid rgba(255, 255, 255, 0.18);
  .logo img {
    height: 1.8rem;
  }
  .container_header {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
}

nav ul {
  list-style-type: none;
  li {
    display: inline-block;
    a {
      font-family: "TASA Explorer", sans-serif;
      text-decoration: none;
      text-transform: uppercase;
      color: var(--default);
      padding: 0 0.75rem;
      font-weight: 700;
      &:hover,
      &.active {
        color: var(--violet);
      }
    }
  }
}

.nav_trigger {
  display: none;
}

.container_contact {
  display: flex;
  div.column {
    flex: 1;
    width: calc(100% / 3);
  }
  h3 {
    margin-bottom: 0.5rem;
    color: var(--default);
  }
}

.container_patients,
.container_hero {
  display: flex;
  gap: 4rem;
  div {
    flex: 1;
    width: calc(100% / 2);
  }
}

iframe {
  width: 100%;
  height: 100%;
  border: none;
  margin: 0;
  border: 3px solid var(--green);
  border-radius: var(--radius);
}

#intro {
  padding-top: 8rem;
  background: #efefef;
  .sub {
    font-size: 3.2rem;
    color: var(--violet);
    margin-bottom: 2.5rem;
    font-weight: 700;
    line-height: 100%;
  }
}

.btn {
  display: inline-block;
  padding: 1rem 5rem 1rem 2rem;
  background-color: var(--violet);
  color: var(--green);
  text-decoration: none;
  font-weight: 600;
  border-radius: 100px;
  border: none;
  font-family: "TASA Explorer", sans-serif;
  transition: all var(--transition);
  position: relative;
  &:after {
    content: "";
    aspect-ratio: 1 / 1;
    border-radius: 100px;
    width: 3.7rem;
    height: 3.7rem;
    background: var(--green) url("../images/ico_phone.svg") no-repeat center
      center;
    background-size: 24px 24px !important;
    position: absolute;
    right: -1px;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
  }
  &:hover {
    background-color: var(--default);
    color: #fff;
  }
  &.ico_arrow:after {
    background: var(--green) url("../images/arrow-right.svg") no-repeat center
      center;
  }
  &.ico_chat:after {
    background: var(--green) url("../images/ico_chat.svg") no-repeat center
      center;
  }
  &.ico_download:after {
    background: var(--green) url("../images/ico_download.svg") no-repeat center
      center;
  }
}

.wpcf7-submit {
  padding: 1rem 2rem 1rem 2rem;
  background-color: var(--violet);
  color: var(--green);
  text-decoration: none;
  font-weight: 500;
  border-radius: 100px;
  border: none;
  font-family: "TASA Explorer", sans-serif;
  transition: all var(--transition);
  position: relative;
  &:hover {
    background-color: var(--default);
    color: var(--green);
  }
}

.container_services {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 30px;
  h3 {
    margin: 1rem 0;
  }
}
.icon {
  position: relative;
  img {
    width: 80px;
    height: 80px;
  }
  &::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -65%);
    aspect-ratio: 1/1;
    display: block;
    width: 160px;
    border-radius: 50%;
    background: #efefef;
    transition: all var(--transition);
    z-index: -1;
  }
}
.service:hover .icon::after {
  width: 200px;
}

#services .btn:after {
  background-color: var(--light);
}
#services .container_wrapper .first {
  width: 25%;
}
#services .container_wrapper .second {
  width: 75%;
}

.smaller {
  font-size: 0.9rem;
  line-height: 1.5;
}

.container_wrapper {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  gap: 5rem;
  justify-content: flex-start;
}

.modal {
  display: none;
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  backdrop-filter: blur(6px);
  -webkit-backdrop-filter: blur(6px);
  justify-content: center;
  align-items: center;
}
.modal.open {
  display: flex;
}
.modal_content {
  background: #fff;
  padding: 1.5rem 2rem 0;
  border-radius: 12px;
  border: 1px solid rgba(0, 0, 0, 0.3);
  max-width: 90vw;
  max-height: 90vh;
  min-width: 600px;
  position: relative;
  box-shadow: 0 0 64px rgba(0, 0, 0, 0.8);
  overflow-y: auto;
}
.modal_close {
  position: absolute;
  top: 1em;
  right: 1em;
  background: none;
  border: none;
  font-size: 2rem;
  cursor: pointer;
  color: #333;
}

form {
  p {
    margin: 0;
  }
  label {
    display: block;
    margin: 0 0 0.25rem;
    padding: 0;
    font-size: 0.75rem;
    cursor: pointer;
  }
  input,
  select,
  textarea {
    width: 100%;
    border: 1px solid var(--green);
    color: var(--default);
    border-radius: var(--radius);
    font-size: 1rem;
    padding: 0.75rem 1rem;
    transition: all var(--transition);
    margin-bottom: 0.5rem;
    &:focus {
      border-color: var(--violet);
    }
  }
  input[type="checkbox"] {
    float: left;
    margin-right: 1rem;
    width: auto;
    position: relative;
    top: 6px;
  }
  br {
    display: none;
  }
}
@media (max-width: 480px) {
  .wrap {
    padding: 0 1rem;
  }
  .container_hero,
  .container_contact,
  .container_cta,
  .container_footer,
  .container_patients,
  .copy {
    flex-wrap: wrap;
    div,
    div.column {
      width: 100%;
      flex: auto;
    }
  }

  .container_cta {
    text-align: center;
    .btn_group {
      text-align: center;
      font-weight: 400;
    }
  }

  h1 {
    font-size: 2.3rem;
  }
  h2 {
    font-size: 1.8rem;
  }

  #services .container_wrapper .second {
    width: 100%;
    text-align: center;
  }
  #intro .sub {
    font-size: 1.8rem;
  }

  footer .container_footer {
    flex-direction: column;
    gap: 2rem;
    .col {
      width: 100%;
      text-align: center;
    }
  }

  .container_hero {
    gap: 0;
    h1 {
      font-size: 4rem;
    }
    .bigger {
      font-size: 1.2rem;
    }
    div:first-child {
      order: 2;
    }
    .fanda {
      height: 360px;
      order: 1;
    }
  }

  .container_wrapper {
    flex-direction: column;
    gap: 2rem;
  }
  #services .container_wrapper .first {
    width: 100%;
  }

  .btn_group {
    .btn {
      margin: 1rem 0 0 0;
    }
  }
  section.page-content {
    padding-top: 130px;
  }

  #cta .stack {
    flex-wrap: wrap;
    h2 {
      font-size: 1.6rem;
    }
    .icon {
      margin: 0;
    }
  }
  .right {
    text-align: center;
  }
  .big_headline {
    font-size: 1.3rem;
    padding-bottom: 0;
  }
  .modal_content {
    min-width: auto;
  }
  header .btn {
    display: none;
  }
  header {
    position: relative;
    nav {
      display: none;
    }
  }
  #intro {
    padding-top: 7rem;
  }

  .hide_mobile {
    display: none;
  }

  .alert {
    border-radius: var(--radius);
    font-size: 0.75rem;
    border: 2px solid var(--violet);
    background: var(--light);
    color: var(--violet);
    line-height: 1.5;
  }

  .column {
    margin: 0 0 2rem;
    &:last-child {
      margin-bottom: 0;
    }
  }
  .copy p {
    width: 100%;
    text-align: center;
  }
  details {
    padding: 1rem;
    summary {
      font-size: 1rem;
      line-height: 1.2;
      &:after {
        width: 1rem;
        height: 1rem;
      }
    }
  }
}

@media (min-width: 481px) and (max-width: 1024px) {
  .container_footer {
    flex-wrap: wrap;
    gap: 2rem;
  }
  .container_footer .col {
    width: calc(50% - 2rem);
  }
  header a.btn.ico_chat.open_form {
    font-size: 0;
    padding-right: 2rem;
  }
}
